Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Mutex.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/Thread_Mutex.inl"`

Include dependency graph for Thread_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Thread_Mutex
| ACE_Thread_Mutex wrapper (only valid for threads in the same process). More...

## Detailed Description

Id:
  Thread_Mutex.h,v 4.3 2003/11/01 11:15:18 dhinton Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>